@import "../../../../../styles/global/var";

test-provider-form {
    display: block;
}

.test-provider-form {
    max-width: 660px;
    margin: 0 auto;

    &__header {
        padding-bottom: 36px;
        margin-bottom: 20px;
        border-bottom: 1px solid $gray8be;
        display: flex;
        align-items: center;

        .md-button.md-icon-button {
            margin: 0 0 0 32px;
        }
    }

    &__integration {
        &-name {
            flex: auto;
        }
        &-actions {
            flex: none;
            margin-right: 0;
            margin-left: auto;

            .md-button.md-icon-button:not(._default-md-style) {
                i.material-icons,
                md-icon {
                    color: $gray57c;
                }
                &:not([disabled]):hover {
                    i.material-icons,
                    md-icon {
                        color: $black;
                    }
                }
                &:not([disabled])._enabled {
                    i.material-icons,
                    md-icon {
                        color: $green-new;
                    }
                    &:hover {
                        i.material-icons,
                        md-icon {
                            color: $greenb41;
                        }
                    }
                }
                &[disabled] {
                    i.material-icons,
                    md-icon {
                        color: $gray8be;
                    }
                }
            }
        }
    }

    md-input-container {
        margin: 20px 0;
        position: relative;

        &:not(.chips-input-container) {
            .md-input {
                &[readonly] {
                    background-color: $gray3e5;
                    border-color: $gray3e5;
                }
                &._with-copy-btn {
                    padding-right: 40px;
                }
            }
        }

        .md-button.md-icon-button:not(._default-md-style) {
            position: absolute;
            right: 4px;
            top: 50%;
            transform: translateY(-50%);
            margin: 0;
            z-index: 1;
        }
    }

    &__footer {
        margin-top: 20px;

        &-actions {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            .md-button {
                &._test-integration {
                    margin-left: 0;
                    margin-right: auto;
                }
            }

            .md-button + .md-button {
                margin-left: 16px;
            }
        }
        &-messages {
            min-height: 88px;
        }
        &-message {
            color: $gray57c;
            display: flex;
            margin-top: 8px;

            &._connected {
                color: $green-new;
            }
            &._failed {
                color: $yellow500;
            }

            &-icon {
                &,
                &.material-icons {
                    flex: none;
                    margin: 0 8px 0 0;
                    font-size: 16px;
                    line-height: 16px;
                    height: 16px;
                    width: 16px;
                    min-height: 16px;
                    min-width: 16px;
                    color: currentColor;
                }
            }
            &-text {
                font-size: 11px;
                line-height: 16px;
                flex: auto;
                &:not(:last-of-type) {
                    margin: 0 0 .5em;
                }
            }

            md-progress-circular {
                path {
                    stroke: #C4C4C4;
                }
            }
        }
    }
}
